SU(1)

NAMN
su - ändra användar-id eller bli superanvändare

SYNOPSIS

su [flaggor] [INLOGGNINGSNAMN]

BESKRIVNING

su används för att bli en annan användare under en inloggningssession. Om det startas utan användarnamn, vÃ¤ljer su superanvändaren. Det valfria argumentet - kan användas för att tillhandahålla en miljö som liknar den som användaren skulle förvänta sig om användaren hade loggat in direkt.

Additional arguments may be provided after the username, in which case they are supplied to the user's login shell. In particular, an argument of -c will cause the next argument to be treated as a command by most command interpreters. The command will be executed by the shell specified in /etc/passwd for the target user.

Du kan använda argumentet -- för att separera flaggorna till su från de argument som skickas till skalet.

Användaren kommer att frågas efter ett lösenord, om det är lämpligt. Ogiltiga lösenord kommer att ge ett felmeddelande. Alla försök, både giltiga och ogiltiga, loggas för att detektera misskötsel av systemet.

The current environment is passed to the new shell. The value of $PATH is reset to /bin:/usr/bin for normal users, or /sbin:/bin:/usr/sbin:/usr/bin for the super user. This may be changed with the ENV_PATH and ENV_SUPATH definitions in /etc/login.defs.

A subsystem login is indicated by the presence of a "*" as the first character of the login shell. The given home directory will be used as the root of a new file system which the user is actually logged into.

FLAGGOR

Flaggorna som gäller för kommandot su är:

-c, --commandSKAL
    Ange ett kommando som ska startas av skalet med -c.

-, -l, --login
    Tillhandahåll en miljö som liknar den som användaren skulle förvänta sig om användaren loggat in direkt.

    När - används måste den anges som den sista flaggan för su. De andra formerna (-l och --login) har inte denna restriktion.

-s, --shellSKAL
    Skalet som ska startas.

    The invoked shell is choosen among (higest priority first):

    •   Skalet angivet med --shell

    •   Om --preserve-environment används, anges skalet med miljövariabeln $SHELL.

    •   The shell indicated in the /etc/passwd entry for the target user.

    •   /bin/sh om ett skal inte kunde hittas med någon ovanstÃ¥ende metod.

    If the target user has a restricted shell (i.e. the shell field of this user's entry in /etc/passwd is not specified in /etc/shell), then the --shell option or the $SHELL environment variable won't be taken into account unless su is called by the root.

-m, -p, --preserve-environment
    Behåll den aktuella miljön.

    Om målanvändaren har ett begränsat skal har denna flagga ingen effekt (sÃ¥vida inte su har startats av root).

TÄNK PÅ

Denna version av su har många kompileringsflaggor, kanske bara några används på specifika system.

FILER

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

SE OCKSÅ

login(1), login.defs(5), sh(1)